Subject: Re: bug#21350: 25.0.50; Do not automatically include authorization header in HTTP redirects

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 Aug 2015 23:58:17 -0400

> looks like it would be faster.  I'm not sure why I would use remq since
> I'm overwriting url-http-extra-headers anyway.

It depends on where that list comes from and where it might have been
stored in the mean time.  If we know that noone else points to that
list, then `delq' is the best option.

> but should I avoid using cl-lib in this context?

No, you can feel free to use cl-lib.

> Another consideration is that I want to be able to backport this
> change (as an ELPA-installed patch) all the way back to Emacs 24.1, so
> maybe that's another reason not to use cl-lib.

cl-lib is in GNU ELPA and works fine for Emacs-24.1 (and AFAICT it also
works on Emacs-22 and XEmacs).

        Stefan